package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B15c;
import com.ruoyi.system.domain.B15cStatus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B15cMapper {

    /**
     * 查看所有
     * @return
     */
    List<B15c> selectAll();

    public List<B15c> selectListByInfo(B15c B15c);

    int insertOne(B15c B15c);

    int setB15CStatus(@Param("userName") String userName, @Param("unitId") String unitId, @Param("monthId") String monthId);

    /**
     * 新增表b15c字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B15c> list);

    /**
     * 新增表b15c_status字段 `员工id`
     */
    void addUserIdStatusColumn();

    /**
     * 查询表b15c_status所有
     */
    List<B15cStatus> selectStatusAll();

    /**
     * 批量表b15c_status更新
     * @param list
     */
    void updateStatusList(List<B15cStatus> list);
}
